/*  Regenerate addrecord.html via cgi on the fly for resubmission.
    It tries to keep current records for most of the fields.


Debug compile:
   cc -Wall -o redo_form -DMAINDEF redo_form.c
   redo_form >junk.html

To make a static start up form (non-CGI):
   cc -Wall -o redo_form -DSTARTUPFORM redo_form.c
   redo_form >addrecord.html


*/

#include <stdio.h>
#include "config.h"

void redo_form(char *message, char *user, char *content, char *filename)
{

printf("\
<HTML><HEAD>\n\
<TITLE>Add Record to Database</TITLE>\n\
</HEAD><BODY>\n\n\
<H2>Add Record to Database</H2>\n\n");

if(message)
    printf("<h3><b>%s</b></h3><br>\n", message);

printf("\n<hr>\n<FORM METHOD=\"POST\" ACTION=\"%s%s\">\n\n", BASE_URL, SELF_URL);

printf("\
<b>Record to add</b> to the database (like a card):<br>\n\
Include important search <b>key words</b> here in this text.<br>\n\
Filename below will not be used for search.<br>\n\
<TEXTAREA NAME=\"RecordToAdd\" ROWS=15 COLS=60>\n");
    if(content)
        printf("%s\n", content);
printf("</TEXTAREA>\n<p>\n\n");

printf("\
<b>Filename</b> (Spaces OK.  An extension will be appended automatically.<br>\n\
Descriptive name will be helpful for picking out a record from search results.):<br>\n");

    if(filename)
	printf("<INPUT NAME=\"filename\" value=\"%s\" size=60>\n<br>\n\n", filename);
    else
	printf("<INPUT NAME=\"filename\" size=60>\n<br>\n\n");


printf("<!---- Option words must exactly match the existing directory struct. ---->\n\n");

printf("\
Category: <select name=\"category\">\n\
<option selected> Incoming\n\
<option> Rolodex/People\n\
<option> Rolodex/Other\n\
<option> References/People\n\
<option> References/Subject\n\
<option> Books\n\
<option> Computer\n\
<option> Computer/Network\n\
<option> Computer/PCWinMac\n\
<option> Computer/Peripheral\n\
<option> Computer/PS\n\
<option> Computer/Unix\n\
<option> Computer/WWW\n\
<option> Drafts\n\
<option> Meetings\n\
<option> ToDo\n\
</select>\n\n\n");

    if(user)
        printf("   Your name: <INPUT NAME=\"user\" value=\"%s\" size=20>\n<br>\n\n", user);
    else
        printf("   Your name: <INPUT NAME=\"user\" size=20>\n<br>\n\n");

printf("\
Press this button to: <INPUT TYPE=\"submit\" VALUE=\"Add Record\">\n\
<br>\n\n");

printf("\
</FORM>\n\
<br>\n\n\
<a href=\"%s%s\">\n\
<img src=\"%s/images/arrow.gif\" WIDTH=22 HEIGHT=20 align=\"left\">\n\
<b>Return to Search</b></a>\n\
<br>\n\
<p>\n</BODY>\n\
</HTML>\n\n", BASE_URL, SEARCHFORM_URL, BASE_URL);

fflush(stdout);

}


#ifdef MAINDEF

void main(int argc, char *argv[])
{
   redo_form("INCOMPLETE FORM: Please completely fill out all fields !!",
	NULL, "This is a test\nThis is a test2.\n", "A test of form generation");
}

#endif

#ifdef STARTUPFORM

void main(int argc, char *argv[])
{
   redo_form(NULL, NULL, NULL, NULL);
}

#endif


